Subject: Re: single-char options

From: Oswald Buddenhagen <[email-masked]>
Date: Sun, 4 Feb 2024 14:47:22 +0100

On Fri, Feb 02, 2024 at 01:45:55PM +0000, Martin Guy wrote:
>I'm sure this must have been thought of before and rejected, but us RSI
>sufferers would like to be able to say "git rebase -c" for "--continue"
>not only for speed and ease, but for all the other RSI sufferers out
>there.
>
you don't need to re-type the commands.
in bash (or any other readline-using shell) just type ctrl-r 'onti' (or
anything else sufficiently unique) and maybe ctrl-r a few times more.
it's very rare that i type repeat commands from scratch. in fact, to the
point that i often spend more time hopping through the history than it
would have taken to re-type the command, heh.